> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs-beta.getzep.com/v3/sdk-reference/user-groups/list/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs-beta.getzep.com/_mcp/server. # List UserGroups GET https://api.getzep.com/api/v2/user-groups Reference: https://docs-beta.getzep.com/sdk-reference/user-groups/list ## Authentication - `Authorization` header (required) (prefixed with ` Api-Key `) — Type "Api-Key" followed by a space and JWT token. ## Request ### Query parameters - `projectId` (string, required) — Project UUID - `pageNumber` (integer, required) — Page number - `pageSize` (integer, required) — Page size - `search` (string, optional) — Name search ## Response ### 200 OK - `quota` (models.UserGroupQuota, optional) - `row_count` (integer, optional) - `total_count` (integer, optional) - `user_groups` (list of models.UserGroup, optional) ## Errors ### 400 Bad Request Error Bad Request - `message` (string, optional) ### 403 Forbidden Error Forbidden - `message` (string, optional) ## Types ### models.UserGroupQuota - `active_managed` (integer, optional) - `allocation` (integer, optional) - `has_feature` (boolean, optional) - `resolved` (boolean, optional) - `unlimited` (boolean, optional) ### models.UserGroup - `attached_policy_set_count` (integer, optional) - `created_at` (string, optional) - `description` (string, optional) - `kind` (enum, optional) - Allowed values: `managed`, `virtual` - `member_count` (integer, optional) - `name` (string, optional) - `project_uuid` (string, optional) - `updated_at` (string, optional) - `uuid` (string, optional) - `version` (integer, optional) ## Examples **Response** ```json { "quota": { "active_managed": 1, "allocation": 1, "has_feature": true, "resolved": true, "unlimited": true }, "row_count": 1, "total_count": 1, "user_groups": [ { "attached_policy_set_count": 1, "created_at": "string", "description": "string", "kind": "managed", "member_count": 1, "name": "string", "project_uuid": "string", "updated_at": "string", "uuid": "string", "version": 1 } ] } ```